VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::item::UpdateSessionModel::State Class Reference

The state of an update session. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, ACTIVE, DONE, ERROR, CANCELED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static State[] | GetValues ()
static State | ValueOf (string name)
## Static Public Attributes
static readonly State | ACTIVE = new State("ACTIVE", Values.ACTIVE)
| The session is currently active.
static readonly State | DONE = new State("DONE", Values.DONE)
| The session is done and all its effects are now visible.
static readonly State | ERROR = new State("ERROR", Values.ERROR)
| There was an error during the session.
static readonly State | CANCELED = new State("CANCELED", Values.CANCELED)
| The session has been canceled.

## Detailed Description

The state of an update session.

## Member Enumeration Documentation

enum vmware::content::library::item::UpdateSessionModel::State::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  ACTIVE | The session is currently active. This is the initial state when the session is created. Files may be uploaded by the client or pulled by the Content Library Service at this stage.
  DONE | The session is done and all its effects are now visible.
  ERROR | There was an error during the session.
  CANCELED | The session has been canceled.

## Member Function Documentation

Values vmware::content::library::item::UpdateSessionModel::State::GetEnumValue | ( |  | ) | `[inline]`

static State [] vmware::content::library::item::UpdateSessionModel::State::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::item::UpdateSessionModel::State::IsUnknown | ( |  | ) | `[inline]`

static State vmware::content::library::item::UpdateSessionModel::State::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly State vmware::content::library::item::UpdateSessionModel::State::ACTIVE = new State("ACTIVE", Values.ACTIVE)`[static]`

The session is currently active.

This is the initial state when the session is created. Files may be uploaded by the client or pulled by the Content Library Service at this stage.

readonly State vmware::content::library::item::UpdateSessionModel::State::CANCELED = new State("CANCELED", Values.CANCELED)`[static]`

The session has been canceled.

readonly State vmware::content::library::item::UpdateSessionModel::State::DONE = new State("DONE", Values.DONE)`[static]`

The session is done and all its effects are now visible.

readonly State vmware::content::library::item::UpdateSessionModel::State::ERROR = new State("ERROR", Values.ERROR)`[static]`

There was an error during the session.

The documentation for this class was generated from the following file:

- UpdateSessionModel.cs